Orderbook
curl --request GET \
--url https://whitebit.com/api/v4/public/orderbook/{market}import requests
url = "https://whitebit.com/api/v4/public/orderbook/{market}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://whitebit.com/api/v4/public/orderbook/{market}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://whitebit.com/api/v4/public/orderbook/{market}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://whitebit.com/api/v4/public/orderbook/{market}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://whitebit.com/api/v4/public/orderbook/{market}")
.asString();require 'uri'
require 'net/http'
url = URI("https://whitebit.com/api/v4/public/orderbook/{market}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"ticker_id": "BTC_PERP",
"timestamp": 1594391413,
"asks": [
[
"9184.41",
"0.773162"
]
],
"bids": [
[
"9181.19",
"0.010873"
]
]
}
Orderbook
The endpoint retrieves the current order book as two arrays (bids / asks) with additional parameters.
The API caches the response for 100 ms
Rate limit 600 requests/10 sec.
GET
/
api
/
v4
/
public
/
orderbook
/
{market}
Orderbook
curl --request GET \
--url https://whitebit.com/api/v4/public/orderbook/{market}import requests
url = "https://whitebit.com/api/v4/public/orderbook/{market}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://whitebit.com/api/v4/public/orderbook/{market}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://whitebit.com/api/v4/public/orderbook/{market}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://whitebit.com/api/v4/public/orderbook/{market}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://whitebit.com/api/v4/public/orderbook/{market}")
.asString();require 'uri'
require 'net/http'
url = URI("https://whitebit.com/api/v4/public/orderbook/{market}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"ticker_id": "BTC_PERP",
"timestamp": 1594391413,
"asks": [
[
"9184.41",
"0.773162"
]
],
"bids": [
[
"9181.19",
"0.010873"
]
]
}
Public order book responses exclude Retail Price Improvement (RPI) orders. Private active order endpoints and private WebSocket streams return RPI orders. The exchange UI order book (web and mobile) displays RPI orders.
Query Parameters
Response
Successful response
Was this page helpful?